<!-- 
<div
  [ngClass]="{
    'd-flex justify-content-between justify-content-center': !appState.isTablet
  }"
>
  <h3 class="mb-3 mt-3 bold" id="heading">Appointments</h3>
  <div class="mb-3 mt-3" [ngClass]="{ 'text-right': appState.isTablet }">
    <kendo-switch
      [onLabel]="'Telerik'"
      [offLabel]="'Selected'"
      class="mt-3 mb-3 ml-3 mr-3 wide-switch"
      (valueChange)="telerikSchedulerChange($event)"
    ></kendo-switch>

    <button
      mat-stroked-button
      color="primary"
      class="no-underline matchBorderColor"
      (click)="onCreateAppointmentClick($event)"
    >
      Create Appt
    </button>

    <ng-container *ngFor="let menu of appointmentLinks; index as $index">
      <button
        *ngIf="!menu.show"
        mat-stroked-button
        color="primary"
        class="no-underline matchBorderColor ml-3"
        [disabled]="!menu.enabled"
        (click)="onMenuClick($event, menu)"
      >
        {{ menu.name }}
      </button>
      <button
        *ngIf="menu.show"
        mat-raised-button
        color="primary"
        class="no-underline matchBorderColor ml-3"
        [disabled]="!menu.enabled"
        (click)="onMenuClick($event, menu)"
      >
        {{ menu.name }}
      </button>
    </ng-container>

    <dx-drop-down-button
      text="..."
      class="ml-3"
      [dropDownOptions]="{ width: 250 }"
      [items]="downloads"
      displayExpr="name"
    ></dx-drop-down-button>
  </div>
</div>
-->
<kendo-splitter class="fit-height-panel">
  <kendo-splitter-pane [size]="panelSize" [resizable]="false">
    <div id="PractitionerList" *ngIf="showAppointment || showSchedule">
      <div
        class="practitioner-list-header"
        [ngClass]="{
          'd-flex justify-content-between justify-content-center p-3': panelExpand,
          'pt-3 pb-3 text-center': !panelExpand
        }"
        style="background: white"
      >
        <h5 *ngIf="panelExpand">Practitioner List</h5>
        <button mat-mini-fab disabled class="expand-btn">
          <mat-icon
            *ngIf="panelExpand"
            (click)="togglePanel($event)"
            class="m-0"
            >menu</mat-icon
          >
          <mat-icon
            *ngIf="!panelExpand"
            (click)="togglePanel($event)"
            class="m-0"
            >menu_open</mat-icon
          >
        </button>
      </div>

      <div class="d-flex p-3 align-items-center" *ngIf="panelExpand">
        <input
          #practitionerSearch
          kendoTextBox
          style="width: 90%"
          placeholder="Search Practitioner, Speciality"
          (input)="searchPractitionerSpeciality(practitionerSearch.value)"
        />
       
        
        <div style="position: relative;" class="k-select filtericon" unselectable="on" (click)="openfilter()">
          <div class="k-icon k-i-filter iconcolor" unselectable="on">
            <div class="k-icon k-i-arrow-60-down"></div>
          </div>
          <div class="k-card k-card-vertical k-case-filter k-filter-case casefilter" *ngIf="IsShow">
            <div class="k-card-header headerheight">
              <span class="k-card-title normal_16px_39px_font filtercasename normal_16px_39px_font" >ALL Practitioner</span>
            </div>
            <div class="k-card-header headerheight">
              <span class="k-card-title normal_16px_39px_font filtercasename normal_16px_39px_font">Active Practitioner</span>
            </div>
            <div class="k-card-header headerheight">
              <span class="k-card-title normal_16px_39px_font filtercasename normal_16px_39px_font" >Inactive Practitioner</span>
            </div>
          </div>
        </div>

      </div>
      <div *ngIf="!panelExpand" class="pt-3 pb-3">
        <button mat-mini-fab disabled>
          <mat-icon class="m-0">search</mat-icon>
        </button>
      </div>
      <div class="list">
        <div
          class="contact"
          *ngFor="let practitioner of practitioners"
          [ngClass]="{ selected: practitioner.selected }"
          [hidden]="!panelExpand"
        >
          <div class="k-hbox" [ngClass]="{ 'pl-1': !panelExpand }">
            <div
              class=""
              [ngClass]="{ 'w-100 d-flex align-items-center': panelExpand }"
              [hidden]="!panelExpand"
            >
              <kendo-avatar
                *ngIf="!practitioner.photo && panelExpand"
                [shape]="'circle'"
                [initials]="practitioner.initial"
              ></kendo-avatar>
              <kendo-avatar
                *ngIf="practitioner.photo && panelExpand"
                [shape]="'circle'"
                [imageSrc]="practitioner.photo"
              ></kendo-avatar>
              <kendo-avatar
                *ngIf="!practitioner.photo && !panelExpand"
                [shape]="'circle'"
                [initials]="practitioner.initial"
                [matMenuTriggerFor]="menu"
              ></kendo-avatar>
              <kendo-avatar
                *ngIf="practitioner.photo && !panelExpand"
                [shape]="'circle'"
                [imageSrc]="practitioner.photo"
                [matMenuTriggerFor]="menu"
              ></kendo-avatar>
              <div
                class="pt-1 pb-1 text-left"
                [ngClass]="{ 'pl-3': panelExpand }"
                [hidden]="!panelExpand"
              >
                <h5>{{ practitioner.practitionerName }}</h5>
                <div
                  class="ellipsisSpan hover"
                  title="{{ practitioner.practitionerspecialitiesNamesString }}"
                >
                  <span
                    *ngFor="
                      let sn of practitioner.practitionerspecialitiesNames;
                      index as $index
                    "
                    >{{ sn.specialityName
                    }}<span
                      *ngIf="
                        $index <
                        practitioner.practitionerspecialitiesNames.length - 1
                      "
                      >,</span
                    >
                  </span>
                </div>
              </div>
            </div>
            <div class="flex-shrink-1">
              <mat-icon
                class="grey-icon hover-icon"
                [matMenuTriggerFor]="menu"
                [hidden]="!panelExpand"
              >
                more_vert
              </mat-icon>
              <mat-menu #menu="matMenu">
                <button
                  mat-menu-item
                  (click)="onPractitionerClick(practitioner)"
                >
                  <mat-icon
                    class="lavander-icon"
                    *ngIf="!practitioner.selected"
                    color="warn"
                  >
                    add </mat-icon
                  ><mat-icon
                    class="lavander-icon"
                    *ngIf="practitioner.selected"
                    color="warn"
                  >
                    remove
                  </mat-icon>
                  {{
                    practitioner.selected
                      ? "Remove from scheduler"
                      : "Add to scheduler"
                  }}
                </button>
                <button mat-menu-item>
                  <mat-icon color="warn"> person </mat-icon>
                  View Profile
                </button>
              </mat-menu>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="RoomList" *ngIf="showRoom">
      <div
        class="d-flex justify-content-between justify-content-center"
        [ngClass]="{ 'p-3': panelExpand, 'pt-3 pb-3': !panelExpand }"
        style="background: white"
      >
        <h5 [ngClass]="{ collapseHeader: !panelExpand }">Room List</h5>
        <button mat-mini-fab disabled>
          <mat-icon
            *ngIf="panelExpand"
            (click)="togglePanel($event)"
            class="m-0"
            >menu</mat-icon
          >
          <mat-icon
            *ngIf="!panelExpand"
            (click)="togglePanel($event)"
            class="m-0"
            >menu_open</mat-icon
          >
        </button>
      </div>
      <div class="d-flex p-3 align-items-center">
        <input kendoTextBox style="width: 90%" placeholder="Search Room" />
        <mat-icon class="pl-2 default-icon"> filter_alt </mat-icon>
      </div>
      <div class="list">
        <div
          class="room"
          *ngFor="let room of rooms"
          [ngClass]="{ selected: room.selected }"
        >
          <div class="k-hbox">
            <div
              class=""
              [ngClass]="{ 'w-100 d-flex align-items-center': panelExpand }"
            >
              <b>
                {{ room.treatmentType }}
              </b>
            </div>
            <div class="flex-shrink-1">
              <mat-icon
                class="grey-icon hover-icon"
                (click)="onRoomClick(room)"
              >
                {{ room.selected ? "remove" : "add" }}
              </mat-icon>
            </div>
          </div>
        </div>
      </div>
    </div>
  </kendo-splitter-pane>
  <kendo-splitter-pane>
 
    <dx-scheduler
      [timeZone]="timeZone"
      [dataSource]="dataSource"
      [currentDate]="currentDate"
      [(currentView)]="currentView"
      showCurrentTimeIndicator="false"
      [firstDayOfWeek]="1"
      [(startDayHour)]="_startTime"
      [(endDayHour)]="_endTime"
      [(groupByDate)]="groupByDate"
      [(cellDuration)]="slotDuration"
      [showAllDayPanel]="false"
      [groups]="['practitionerId']"
      [crossScrollingEnabled]="true"
      appointmentTooltipTemplate="tooltip-template"
      (onOptionChanged)="handlePropertyChange($event)"
      (onContentReady)="onContentReady($event)"
      resourceCellTemplate="resourceCellTemplate"
      (onAppointmentClick)="onAppointment($event)"
      (onAppointmentDblClick)="onAppointmentDbl($event)"
      (onCellClick)="onCell($event)"
      [height]="1100"
    >
      <dxi-view type="day" name="day" groupOrientation="horizontal"> </dxi-view>
      <dxi-view type="workWeek" name="M-F" groupOrientation="horizontal">
      </dxi-view>
      <dxi-view type="week" name="Week" groupOrientation="horizontal">
      </dxi-view>
      <dxo-editing
        [allowUpdating]="false"
        [allowAdding]="false"
        [allowDeleting]="false"
      ></dxo-editing>
      <dxi-resource
        fieldExpr="practitionerId"
        [allowMultiple]="false"
        [dataSource]="resourcesDataSource"
        label="Practitioner"
      >
      </dxi-resource>

      <div *dxTemplate="let p of 'resourceCellTemplate'">
        <div id="pop_{{ p.data.practitionerId }}">
          <div class="pt-3 pb-3">
            <a
              (mouseenter)="toggleDefault(p.data.practitionerId, true)"
              (mouseleave)="toggleDefault(p.data.practitionerId, false)"
              href="javascript:void(0)"
              (click)="practitionerClick(p.data.practitionerId)"
            >
              <div
                class="d-flex justify-content-center align-items-center hover"
              >
                <kendo-avatar
                  *ngIf="!p.data.photo"
                  [shape]="'circle'"
                  matTooltip="Info about&#13;the action"
                  [initials]="p.data.initial"
                  style="height: 60px; width: 60px"
                ></kendo-avatar>
                <kendo-avatar
                  *ngIf="p.data.photo"
                  [shape]="'circle'"
                  matTooltip="Info about&#13;the action"
                  [imageSrc]="p.data.photo"
                  style="height: 60px; width: 60px"
                ></kendo-avatar>
                <span class="practitionerName pl-3">{{
                  p.data.practitionerName
                }}</span>
              </div>
            </a>
          </div>


          <dx-popover
            target="#link_{{ p.data.practitionerId }}"
            position="top"
            [width]="300"
            [(visible)]="p.data.mouseOver"
          >
            <div *dxTemplate="let data = model; of: 'content'">
              <span
                ><b> <u>Appt Count:</u></b></span
              >
              <br />
              <table style="width: 100%">
                <tr>
                  <td style="width: 50%">Total</td>
                  <td style="width: 50%">: 15</td>
                </tr>
                <tr>
                  <td>Pending</td>
                  <td>: 3</td>
                </tr>
                <tr>
                  <td>Completed</td>
                  <td>: 10</td>
                </tr>
                <tr>
                  <td>Missed</td>
                  <td>: 1</td>
                </tr>
                <tr>
                  <td>Cancelled</td>
                  <td>: 1</td>
                </tr>
              </table>
              <br />
              <span>
                <b><u> Time Utilisation:</u></b></span
              >
              <br />
              <table style="width: 100%">
                <tr>
                  <td style="width: 50%">Scheduled hours</td>
                  <td style="width: 50%">: 8 hrs 30 min</td>
                </tr>
                <tr>
                  <td>Worked hours</td>
                  <td>: 7 hrs</td>
                </tr>
                <tr>
                  <td>Pending hours</td>
                  <td>: 1 hrs 30 min</td>
                </tr>
                <tr>
                  <td>Overtime</td>
                  <td>: 0 hrs</td>
                </tr>
              </table>
            </div>
          </dx-popover>
        </div>
      </div>

      <div *dxTemplate="let model of 'tooltip-template'">
        <div class="movie-tooltip">
          <div class="movie-info">hi</div>
        </div>
      </div>
    </dx-scheduler>

    <div class="options">
      <div class="caption">Group by Date First</div>
      <div class="option">
        <dx-switch [(value)]="groupByDate"> </dx-switch>
      </div>
    </div>
   					
  

    <div class="mt-5" *ngIf="numberOfPractitioners == 0 && !alreadyAdded">
      <app-grid-no-data
        [title]="'You haven\'t added a Practitioner Schedule'"
        [routeName]=""
        [routeLink]=""
        [description]="
          'From the Practitioner List section, please select the Practitioner and click on Add to scheduler button to add this new practitioner to appointment diary and create new schedule.'
        "
      ></app-grid-no-data>
    </div>
  </kendo-splitter-pane>

</kendo-splitter>

<div id="sliderShadow" class="overlay-shadow">
  <div id="slider" class="overlay">
    <div class="overlay-header">
      <div class="row">
        <span class="overlay-title">{{ sliderTitle }}</span>
        <a
          href="javascript:void(0)"
          class="deletebtn"
          (click)="removeItem()"
          *ngIf="!isNew"
        >
          <mat-icon>delete</mat-icon>
        </a>
        <a
          href="javascript:void(0)"
          class="closebtn"
          (click)="closeAppointmentSlider()"
        >
          <mat-icon>clear</mat-icon>
        </a>
      </div>
    </div>
    <div class="overlay-content">
      <app-add-appointment
        *ngIf="isAddAppointment"
        (save)="onAppointmentSave($event)"
        (cancel)="onCancel($event)"
        [event]="editedEvent"
        [editMode]="editMode"
        [isNew]="isNew"
      >
      </app-add-appointment>
    </div>
  </div>
</div>

<div id="room_sliderShadow" class="overlay-shadow">
  <div id="room_slider" class="overlay">
    <div class="overlay-header">
      <div class="row">
        <span class="overlay-title">{{ sliderTitle }}</span>
        <a
          href="javascript:void(0)"
          class="closebtn"
          (click)="closeRoomSlider()"
        >
          <mat-icon>clear</mat-icon>
        </a>
      </div>
    </div>
    <div class="overlay-content">
      <app-add-room
        (save)="onRoomSave($event)"
        (cancel)="onCancel($event)"
        [practitioners]="practitioners"
        [rooms]="rooms"
        [event]="editedEvent"
        [editMode]="editMode"
        [isNew]="isNew"
      ></app-add-room>
    </div>
  </div>
</div>

<div id="schedule_sliderShadow" class="overlay-shadow">
  <div id="schedule_slider" class="overlay">
    <div class="overlay-header">
      <div class="row">
        <span class="overlay-title">{{ sliderTitle }}</span>
        <a
          href="javascript:void(0)"
          class="deletebtn"
          (click)="removeItem()"
          *ngIf="!isNew"
        >
          <mat-icon>delete</mat-icon>
        </a>
        <a
          href="javascript:void(0)"
          class="closebtn"
          (click)="closeScheduleSlider()"
        >
          <mat-icon>clear</mat-icon>
        </a>
      </div>
    </div>
    <div class="overlay-content">
      <app-add-schedule
        (save)="onScheduleSave($event)"
        (cancel)="onCancel($event)"
        [event]="editedEvent"
        [editMode]="editMode"
        [isNew]="isNew"
      ></app-add-schedule>
    </div>
  </div>
</div>

<div id="waitlist_sliderShadow" class="overlay-shadow">
  <div id="waitlist_slider" class="overlay">
    <div class="overlay-header">
      <div class="row">
        <span class="overlay-title">{{ sliderTitle }}</span>

        <a
          href="javascript:void(0)"
          class="editbtn"
          (click)="editWaitlist()"
          *ngIf="!isNew && isViewWaitList"
        >
          <mat-icon>edit</mat-icon>
        </a>
        <a
          href="javascript:void(0)"
          class="deletebtn"
          (click)="removeWaitlist()"
          *ngIf="!isNew"
        >
          <mat-icon>delete</mat-icon>
        </a>
        <a
          href="javascript:void(0)"
          class="closebtn"
          (click)="closeWaitListSlider()"
        >
          <mat-icon>clear</mat-icon>
        </a>
      </div>
    </div>
    <div class="overlay-content">
      <app-add-wait-list
        (save)="onWaitListSave($event)"
        (cancel)="onCancel($event)"
        [event]="waitListEvent"
        [isNew]="isNew"
        [readOnly]="isViewWaitList"
      >
      </app-add-wait-list>
    </div>
  </div>
</div>

<div
  class="tooltip_practitioner"
  id="tp_{{ resource.practitionerId }}"
  *ngFor="let resource of resourceData"
>
  <div class="d-flex justify-content-between tooltip-header">
    <div class="popout-actions">
      <a
        href=""
        class="d-inline white-text"
        (click)="onAppointmentClick($event, resource.practitionerId)"
        >Appointment</a
      >
      <div class="seperator pl-3 pr-3 d-inline">|</div>
      <a
        href=""
        class="d-inline"
        (click)="onClassClick($event, resource.practitionerId)"
        >Class</a
      >
      <div class="seperator pl-3 pr-3 d-inline">|</div>
      <a
        href=""
        class="d-inline"
        (click)="onBreakClick($event, resource.practitionerId)"
        >Break</a
      >
    </div>
    <mat-icon
      class="hover default-icon"
      (click)="onClosePopoverClick($event, resource.practitionerId)"
      >close</mat-icon
    >
  </div>
  <div class="p-3">
    <div class="popout-contents">
      <span class="practitionerName">{{ resource.practitionerName }}</span> -
      <span> {{ startTime | date: "shortTime" }} </span>
    </div>
    <div class="d-flex mt-3">
      <input class="popout-input" placeholder="First Name" />
      <input placeholder="Last Name" class="ml-3 popout-input" />
      <button mat-raised-button color="accent" class="ml-3">go</button>
    </div>
  </div>
  <div id="arrow" data-popper-arrow></div>
</div>

<kendo-dialog
  title="Delete Wait List"
  *ngIf="opened"
  (close)="close('cancel')"
  [minWidth]="250"
  [width]="450"
>
  <p style="margin: 30px; text-align: center">
    Are you sure you want to delete this wait list?
  </p>
  <kendo-dialog-actions>
    <button kendoButton (click)="close('no')">No</button>
    <button kendoButton (click)="close('yes')" primary="true">Yes</button>
  </kendo-dialog-actions>
</kendo-dialog>
